Subject: [Sip] Comments on draft-ietf-sip-domain-certs and draft-ietf-sip-eku

From: "DRAGE, Keith \(Keith\)" <[email-masked]>
Date: Thu, 27 Mar 2008 20:58:27 +0100

I have a quick discussion in Philadephia with ekr about versions of
various documents referenced.

Essentially the ASN.1 references are a couple of versions out of date.
The X.509 references are also a couple of versions out of date. If you
can follow the poor formatting of the data below, this represents the
current versions (but you should be able to get this from the ITU-T
website. Ekr could think of no reason why the current versions should
not be used.

As regards the main TLS references (and this has wider applicability
than just these drafts) version 1.2 has now been approved and is nearly
in the RFC editor's queue.

http://www.ietf.org/internet-drafts/draft-ietf-tls-rfc4346-bis-10.txt

I believe it is therefore appropriate to make all TLS references in
current sip drafts to this document.

For those using the extensions, we also need to keep an eye on:

http://www.ietf.org/internet-drafts/draft-ietf-tls-rfc4366-bis-02.txt

Which is still in progress, but I understand not far off approval. I
advise all draft editors to consult with the editors of this document as
to whether to use the existing RFC 4366 or the bis document as your
reference. Which one is used will depend on the completion dates for
both documents.

Regards

Keith

Number 	Date 	Title 	Status 
X.509 (03/00) 
3/31/2000 00:00:00 
  	Information technology - Open Systems Interconnection - The
Directory: Public-key and attribute certificate frameworks 	In Force

X.509 (08/05) 
8/29/2005 00:00:00 
  	Information technology - Open Systems Interconnection - The
Directory: Public-key and attribute certificate frameworks 	In Force
(Main) 
X.509 (2005) Corrigendum 1 (01/07) 
1/13/2007 00:00:00 
  		In Force 
X.509 (2000) Technical Cor.1 (10/01) 
10/29/2001 00:00:00 
  		In Force 
X.509 (2000) Technical Cor.2 (04/02) 
4/13/2002 00:00:00 
  		In Force 
X.509 (2000) Corrigendum 3 (04/04) 
4/29/2004 00:00:00 
  		In Force 
X.509 (2000) Corrigendum 4 (01/07) 
1/13/2007 00:00:00 
  		Pre-Published 

Number 	Date 	Title 	Status 
X.680 (07/02) 
7/14/2002 00:00:00 
  	Information technology - Abstract Syntax Notation One (ASN.1):
Specification of basic notation 	In Force (Main) 
X.680-X.693 (07/02) 
7/14/2002 00:00:00 
  	Information Technology - Abstract Syntax Notation One (ASN.1) &
ASN.1 encoding rules 	In Force (Main) 
X.680 (2002) Amendment 2 (08/04) 
8/29/2004 00:00:00 
  	Alignment with changes made to ITU-T Rec. X.660 | ISO/IEC 9834-1
for identifiers in object identifier value notation 	In Force 
X.680 (2002) Amendment 1 (10/03) 
10/29/2003 00:00:00 
  	Support for EXTENDED-XER 	In Force 
X.680 (2002) Corrigendum 1 (05/05) 
5/14/2005 00:00:00 
  		In Force 
X.680 (2002) Amendment 3 (06/06) 
6/13/2006 00:00:00 
  	Time type support 	In Force 
X.680 (2002) Amendment 4 (05/07) 
5/29/2007 00:00:00 
  	PER encoding instructions 	Pre-Published 

Number 	Date 	Title 	Status 
X.680-X.693 (07/02) 
7/14/2002 00:00:00 
  	Information Technology - Abstract Syntax Notation One (ASN.1) &
ASN.1 encoding rules 	In Force (Main) 
X.690 (07/02) 
7/14/2002 00:00:00 
  	Information technology - ASN.1 encoding rules: Specification of
Basic Encoding Rules (BER), Canonical Encoding Rules (CER) and
Distinguished Encoding Rules (DER) 	In Force (Main) 
X.690 (2002) Amendment 1 (10/03) 
10/29/2003 00:00:00 
  	Support for EXTENDED-XER 	In Force 
X.690 (2002) Amendment 2 (06/06) 
6/13/2006 00:00:00 
  	Time type support 	In Force 
X.690 (2002) Corrigendum 1 (05/07) 
5/29/2007 00:00:00 
  	Clarification of certain CER encodings 	In Force 
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip